Source

pypy / pypy / translator / c / src / g_prerequisite.h

The branch 'link-old-glibc-abi' does not exist.
Full commit

/**************************************************************/
/***  this is included before any code produced by genc.py  ***/


#include "src/commondefs.h"

#ifdef _WIN32
#  include <io.h>   /* needed, otherwise _lseeki64 truncates to 32-bits (??) */
#endif

#include <stddef.h>


#ifdef __GNUC__       /* other platforms too, probably */
typedef _Bool bool_t;
#else
typedef unsigned char bool_t;
#endif

#ifdef PYPY_FORCE_OLD_GLIBC
__asm__(".symver memcpy,memcpy@GLIBC_2.2.5");
#endif

#include "src/align.h"